Bug 607405 - Review Request: poppler-sharp - C Sharp Bindings for Poppler
Review Request: poppler-sharp - C Sharp Bindings for Poppler
Status: CLOSED DUPLICATE of bug 834551
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 537640
  Show dependency treegraph
 
Reported: 2010-06-23 22:38 EDT by Claudio Rodrigo Pereyra DIaz
Modified: 2013-10-19 10:42 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 07:26:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
ismael: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Claudio Rodrigo Pereyra DIaz 2010-06-23 22:38:25 EDT
Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.1-1.fc13.src.rpm

Required for package pdfmod
Comment 1 Christian Krause 2010-08-26 16:02:51 EDT
I just had a quick look at this package:

- according to http://github.com/jacintos/poppler-sharp the license should GPLv2+

- the package will not work correctly on x86_64 since the "libdir" is hard-coded to %{exec_prefix}/lib in the *.pc file (you can do something similar to 
http://pkgs.fedoraproject.org/gitweb/?p=clutter-sharp.git;a=commit;h=4fd05adbdaee4eb2d2963982d242a035935babbb )
Comment 2 Claudio Rodrigo Pereyra DIaz 2010-10-04 14:21:05 EDT
I just update .spec and .srpm files

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.1-2.fc13.src.rpm

and create a bug report in upstream for fix "libdir" in x86_64 problem http://github.com/jacintos/poppler-sharp/issues#issue/1

Christian thanks for your comments
Comment 3 Claudio Rodrigo Pereyra DIaz 2011-03-18 12:04:15 EDT
I just review .spec and .srpm files using fc14

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.1-2.fc14.src.rpm
Comment 4 Claudio Rodrigo Pereyra DIaz 2011-03-22 09:31:08 EDT
Translate summary and description to spanish

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.1-3.fc14.src.rpm
Comment 5 Claudio Rodrigo Pereyra DIaz 2011-03-22 09:57:35 EDT
Translate summary and description to spanish

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.1-3.fc14.src.rpm
Comment 6 Claudio Rodrigo Pereyra DIaz 2011-08-26 14:36:49 EDT
I just update the spec and src.rpm for 0.0.2 upstream version

Please somebody review

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL: http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.2-1.fc14.src.rpm
Comment 7 Claudio Rodrigo Pereyra DIaz 2011-08-29 11:31:04 EDT
Fix poppler-glib missing

Spec URL: http://elsupergomez.fedorapeople.org/SPECS/poppler-sharp.spec
SRPM URL:
http://elsupergomez.fedorapeople.org/SRPMS/poppler-sharp-0.0.2-2.fc14.src.rpm
Comment 8 Ismael Olea 2011-11-10 07:15:45 EST
* rpmlint:

$ rpmlint -iv /var/lib/mock/fedora-15-i386/result/poppler-sharp-0.0.2-2.fc15.src.rpm 
poppler-sharp.src: I: checking
poppler-sharp.src: I: checking-url http://www.github.com/jacintos/poppler-sharp (timeout 10 seconds)
poppler-sharp.src: I: checking-url http://github.com/downloads/jacintos/poppler-sharp/poppler-sharp-0.0.2.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

fine


$ rpmlint -iv /var/lib/mock/fedora-15-i386/result/poppler-sharp-0.0.2-2.fc15.i686.rpm 
poppler-sharp.i686: I: checking
poppler-sharp.i686: I: checking-url http://www.github.com/jacintos/poppler-sharp (timeout 10 seconds)
poppler-sharp.i686: E: no-binary
The package should be of the noarch architecture because it doesn't contain
any binaries.

poppler-sharp.i686: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

1 packages and 0 specfiles checked; 1 errors, 1 warnings.

here rpmlint not adheres to http://fedoraproject.org/wiki/Packaging:Mono, so it's fine as it is.

[olea@patxuko rpmbuild]$ rpmlint -iv /var/lib/mock/fedora-15-i386/result/poppler-sharp-devel-0.0.2-2.fc15.i686.rpm 
poppler-sharp-devel.i686: I: checking
poppler-sharp-devel.i686: I: checking-url http://www.github.com/jacintos/poppler-sharp (timeout 10 seconds)
poppler-sharp-devel.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


if there is non trivial information to developers would be nice to add here; if not, it is fine AFAIK




* I would suggest to modify translation from

%description -l es
Genera administración de enlaces a Poppler usando herramientas GAPI

to 

Genera los vínculos administrados usando las herramientas GAPI


* I understood, reading the linked issue 4 this modification is incompatible now:

#libpoppler-glib fix https://github.com/jacintos/poppler-sharp/issues/4
sed -i 's/libpoppler-glib\.so\.6/libpoppler-glib\.so/g' sources/poppler-sharp.dll.config

Correct me if I'm wrong.


* gacutil is now required to install DLL in Fedora (see http://fedoraproject.org/wiki/Packaging:Mono#gacutil_in_a_spec_file)



Please apply the suggested changes and use mock for next rebuilds for better control of potential collateral effects.
Comment 9 Ismael Olea 2012-06-22 07:26:57 EDT
As I don't see any advance here I'm submiting the package as me.

*** This bug has been marked as a duplicate of bug 834551 ***

Note You need to log in before you can comment on or make changes to this bug.